---
title: "GitLab CEO Shadow program takeaways and lessons learned"
author: Darren Murph
author_gitlab: dmurph
author_twitter: darrenmurph
categories: unfiltered
image_title: '/images/blogimages/all-remote-world-banner-1920x1080.png'
description: "I attended every meeting with GitLab's CEO for two weeks. This is what I learned."
tags: ceo, gitlab, shadow
cta_button_text: 'Watch my remote CEO Shadow recap video'
cta_button_link: 'https://youtu.be/4yhtYcOZn3w'
ee_cta: false # required only if you do not want to display the EE-trial banner
install_cta: false # required only if you do not want to display the 'Install GitLab' banner
twitter_text: "@GitLab CEO Shadow program takeaways and lessons learned"
postType: content marketing
merch_banner: merch_one
merch_sidebar: merch_one
---

{::options parse_block_html="true" /}

<i class="fab fa-gitlab" style="color:rgb(107,79,187); font-size:.85em" aria-hidden="true"></i>&nbsp;&nbsp;
This blog post is [Unfiltered](/handbook/marketing/blog/unfiltered/#legal-disclaimer)
&nbsp;&nbsp;<i class="fab fa-gitlab" style="color:rgb(107,79,187); font-size:.85em" aria-hidden="true"></i>
{: .alert .alert-webcast}

![GitLab all-remote mentor](/images/all-remote/ceo-shadow-gitlab-awesomeness.jpg){: .shadow.medium.center}

I'm normally GitLab's [Head of Remote](/handbook/marketing/readmes/dmurph/), but for two weeks I attended every meeting with GitLab's CEO, alongside two wonderful co-shadows. 

The final tally? 110 Zoom calls in 10 working days. That's an average of 11 video calls *per day*. 

Creating an ever more intriguing backdrop, I shadowed during a global pandemic (COVID-19). Not only was much of the world weeks into an extended period of isolation, but every leader on the planet was grappling with an array of factors that no one saw coming six months prior. From economic conditions to overall mental health and wellbeing, nothing was normal. Well, except one thing, which I'll address below. 

### What is the GitLab CEO Shadow program?

If you aren't familiar with GitLab's [CEO Shadow program](/handbook/ceo/shadow/), I won't rehash what's already in the handbook. By the time you read this, new shadows will have already improved the page since my rotation. It is hands-down the most enlightening, transparent, career-enhancing program I've taken part in, and should serve as a blueprint for other companies. Any firm could implement a shadow program, and I believe they should. 

### What's your biggest takeaway?

<!-- blank line -->

<figure class="video_container">
  <iframe src="https://www.youtube.com/embed/4yhtYcOZn3w" frameborder="0" allowfullscreen="true"> </iframe>
</figure>
<!-- blank line -->

*In the [GitLab Unfiltered](https://www.youtube.com/playlist?list=PL05JrBw4t0Kq7QUX-Ux5fOunQotqJbECc) video above, GitLab's Head of Remote recaps his remote CEO Shadow rotation at GitLab in May 2020.*

This is the question I've received the most. 

That bit in the intro about one thing being normal? GitLab's [values](/handbook/values/) were evident in **every** Zoom, and in **every** suggestion, decision, and bit of feedback. That part remained normal. What this means is that GitLab's values do not oscillate depending on economic conditions or other stressors. 

I want to be clear that these values were exemplified not *just* by GitLab's CEO, but the entire [e-group](/handbook/leadership/#e-group). The takeaway there is that GitLab's CEO carries a significant responsibility to live our values in his 1-on-1 interactions with his direct reports and board members, with that reinforcement cascading to other interactions throughout the organization. 

Below, I'll share other takeaways from the program.

### Remote work will soon be — simply — work

It's happening. From [Twitter](https://blog.twitter.com/en_us/topics/company/2020/keeping-our-employees-and-partners-safe-during-coronavirus.html) to [Square](https://www.theverge.com/2020/5/18/21261798/square-employees-work-from-home-remote-premanent-policy-ceo) to [Coinbase](https://blog.coinbase.com/post-covid-19-coinbase-will-be-a-remote-first-company-cdac6e621df7) to [Shopify](https://twitter.com/tobi/status/1263483496087064579) to [Facebook](https://www.theverge.com/facebook/2020/5/21/21265699/facebook-remote-work-shift-workforce-permanent-covid-19-mark-zuckerberg-interview), remote is now an option. My CEO Shadow rotation was just prior to the series of dominos above falling, and none of the Zooms were difficult. Even for suddenly-remote particpants, it just worked. Everything just felt more human. One participant joined a Zoom from his daughter's school laptop and proceeded as "Billie the Sea Turtle." 

I suspect some of these meetings would've been daunting in-person due to perceived power imbalances. In a video call, conversation is far more democratized. 

### Transparency is liberating

Facades are mentally taxing. Just call it like it is. I was heartened by the many sub-values surrounding this which were lived out in interactions. 

* [It's impossible to know everything](/handbook/values/#its-impossible-to-know-everything)
* [No ego](/handbook/values/#no-ego)
* [Say sorry](/handbook/values/#say-sorry)
* [Don't let each other fail](/handbook/values/#dont-let-each-other-fail)
* [Blameless problem solving](/handbook/values/#blameless-problem-solving)
* [Short toes](/handbook/values/#short-toes)
* [Anyone and anything can be questioned](/handbook/values/#anyone-and-anything-can-be-questioned)

In one particular meeting, Sid had his mind changed through the introduction of new data. That led to a [merge request](https://gitlab.com/gitlab-com/www-gitlab-com/-/merge_requests/50052/diffs) where we added a sub-value to Transparency — [Articulate when you change your mind](/handbook/values/#articulate-when-you-change-your-mind) — during my CEO Shadow rotation.

*How awesome is that?*

### Make a proposal

This one was big for me. Sid continually sought proposals from those in meetings. It made me realize that I could improve in this area. Now, whenever I have to urge to just talk unscripted about a project, I stop, open a Google Doc, and start writing. 

Showing up with a proposal rather than a collection of unsorted thoughts is a way to be [respectful of others' time](/handbook/values/#be-respectful-of-others-time).

Sid would rather have a weak proposal that he can shape than scattered thoughts in which no action can be taken. Since my rotation, I've found myself asking for more proposals and showing up with more proposals. 

### Shadows are more than shadows

You become a part of the ebb and flow of the day. You're with the CEO and your co-shadow *so much* that you can't help but bond. You laugh together, you grab lunch together, you share experiences together. 

You're also in a very special position. You're able to [introduce yourself](/handbook/ceo/shadow/#ceo-shadow-introductions) as a member of the CEO Shadow program to people that are very difficult to get time with. You meet people outside of GitLab who are doing incredible things to create positive change in the world. 

I left with over a dozen new relationships, having met brilliant, passionate people all over the world who will remember me from "that one time in GitLab's CEO Shadow program...." That is remarkable. 

### Be succint

Talk in the details or not at all. 

### If a design is taking too long, break it down

[Iteration](/handbook/values/#iteration) is the hardest value to practice. 

We're conditioned to believe that breaking something down is done because we're lazy or incompetent. Nothing could be [further from the truth](/handbook/values/#low-level-of-shame). 

### Everyone loves a cancelled meeting

When everyone is isolated and no one is experiencing travel delays, there's no excuse to cancel. In two weeks, I recall just one meeting being cancelled last-minute. Myself, Sid, and my co-shadow collectively looked at each upon hearing that the participant had apologized and said: "Don't apologize!"

We all took a much-needed break, grabbed some water, and I took a quick walk outside. It was glorious.

### Sid loves the GitLab product

It is fascinating to watch Sid interact with all areas of the business. It's stunning how well-versed he is in everything from engineering to finance to legal, but what is abundantly clear is his passion for *product*. He is a self-proclaimed "Product CEO," and you'll [see this in action](/handbook/ceo/#pointers-from-ceo-direct-reports) if you're a CEO Shadow. 

### The broader community is always top-of-mind

On any call where Sid is given the floor to explain what GitLab is, he reminds people how important the broader community is. He references instances where those outside of the GitLab organization contribute feedback, code, and improvements to our product and our handbook. 

"[Everyone can contribute](/company/strategy/#mission)" is inserted into more conversations than you would assume.

### Sid cares about the greatest amount of people

When's the last time you looked at the [Efficiency for the right group](/handbook/values/#efficiency-for-the-right-group) sub-value? The heart of that matters to Sid. When speaking of big, encompassing ideas, Sid continually asked those making the proposal to articulate outcomes for the broadest group.

### Zoom fatigue is real

110 video calls in two weeks is a lot. [Danielle M.](https://twitter.com/DanielleMorrill), an [alumnus](/handbook/ceo/shadow/#alumni) of the CEO Shadow program, recommended I take only essential meetings in the week immediately following my two-week CEO Shadow rotation to give my [eyes and mind a rest](https://www.bbc.com/worklife/article/20200421-why-zoom-video-chats-are-so-exhausting). 

Being on the other side of the program, I *wholeheartedly* second this recommendation. 

### Being a CEO requires sacrifice

Sid doesn't live a normal life — or, what Americana would have you believe a normal life looks like. He sleeps well, he schedules time with family, and he takes weekends off of work. He models a healthy balance, all things considered. But make no mistake, a CEO carries around a massive amount of responsibility, and time for yourself is hard to come by.  

I think you have to be born for it. You can learn to be a CEO, but there's an intangible element there as well. 

### Reviewing is easier than creating

Sid explained to me that he's able to handle 11 back-to-back Zoom calls because "reviewing is easier than creating." Which is true. In many of Sid's meetings, others have spent time creating so that Sid can review and provide feedback. 

If you're in a creative role, be intentional about creating [white space](https://jkglei.com/white-space/) in your calendar to create. 

I view being booked at 100% as a risk. If this resonates with you, check out [Kingman's Formula](https://blog.acolyer.org/2015/04/29/applying-the-universal-scalability-law-to-organisations/) for the mathematics behind it. 

### GitLab is extraordinarily efficient

You can tell within 10 seconds if a meeting is being ran [the GitLab way](/company/culture/all-remote/meetings/) or not.

### Never apologize for family

With most of the world in lockdown, family was everywhere during my rotation (which was awesome!). Sid continually [celebrated](/handbook/values/#make-family-feel-welcome) that, and reminded folks not to apologize for children, pets, or for having to dart out of a meeting to handle something on the homefront. 

[**#FamilyAndFriends1st**](/handbook/values/#family-and-friends-first-work-second)

### Never have a meeting without an agenda

Unless it's a [coffee chat](/company/culture/all-remote/informal-communication/#coffee-chats). In which case, *savor it*.  

![GitLab all-remote team](/images/all-remote/GitLab-All-Remote-Zoom-Team-Tanuki.jpg){: .shadow.medium.center}

### Did you miss out on anything as a remote shadow?

I am appreciative of the opportunity to shadow a CEO during a global pandemic. It would have been easy to pause the program for a bit. Instead, GitLab retained a beacon of transparency and [pivoted the program to remote](/handbook/ceo/shadow/#tips-for-remote-shadows) with poise. Kudos to Sid and Cheri Holmes, his [Executive Business Administrator](/handbook/eba/#executive-business-administrator-team). 

As GitLab's Head of Remote, this was interesting on a personal level. Typically, the CEO Shadow program is a rare case where in-person attendance is expected. This is due to Sid's typical schedule, which involves quite a few in-person meetings in the San Francisco Bay Area. (I suspect this will change dramatically going forward, with many meetings being Zoom-by-default.)

Due to much of the world being in lockdown, all of Sid's meetings in early May 2020 were remote and conducted via Zoom video calls. 

I didn't feel as if I missed out on anything. I was fully engaged and fully welcomed, and I was able to chat with Sid and my co-shadow during the occasional break. 

### Any notable perks of a remote CEO Shadow rotation? 

As a dad, I felt fortunate to participate from home. The lack of a commute, even from hotel to [Mission Control](/handbook/ceo/shadow/#mission-control-guide), enabled me to maintain a fitness routine despite 11 meetings per day. I aspire to participate in a future rotation that's in-person, mostly for personal reasons. I love the San Francisco Bay Area and would take any opportunity to visit.

The time zone shift was a boon for me. I prefer to get outside in the morning, and being based 3 hours ahead of Sid provided a few bonus hours in the morning to do so. 

### Q&A

![GitLab all-remote ergonomic workspace](/images/all-remote/gitlab-com-all-remote-v3-dark-1280x270.png){: .shadow.medium.center}

I asked for questions on Twitter, as well as on GitLab's internal Slack. These are some of the inquiries I received. 

### How did you start your day?

Gifted with a 3-hour headstart from Sid's time zone, I typically rose with my family, had coffee, cleaned up my son's breakfast escapades, and squeezed in a 45-minute cardio session.

On perfect days, I'd sit down with 15 or 20 minutes to spare ahead of Sid's first call, enough time to see if my team needed anything before a marathon of documenting and learning.

I'm used to working [non-linear days](/company/culture/all-remote/non-linear-workday/), so it aligned well with my preferences.

### How did you align lunch breaks?

You figure out that you can get super creative on what is consumable in 180 seconds.

### Did you engage in virtual social time together?

We'd hop on Zoom chats between calls, and after all calls were wrapped on certain days. I really enjoyed my last day, where Sid and my co-shadow joined for a 45-minute spontaneous coffee chat. 

### How hard is it to catch up after the CEO Shadow program?

In preparing for the program, you're instructed to "[prepare your team as if you were on vacation](/handbook/ceo/shadow/#preparing-for-the-program)." I did this, but checked in on notifications between calls. 

For context, it was an unusual time. Given the global focus on remote, I was fielding interviews on the subject that were atypically time sensitive. 

Due to this, I didn't feel entirely disconnected upon return, but I was surely less rested. 

I was intentional about prioritizing the CEO Shadow experience and I muted all notifications for the entire two-week span. (I mute all Mac notifications anyway, and limit iPhone notifications to text messages, so this wasn't a drastic difference in routine.)

I even [added a new task](https://gitlab.com/gitlab-com/ceo-shadow/onboarding/-/merge_requests/20/diffs) to our CEO Shadow onboarding issues to remind shadows to change their `GitLab.com` and Slack status messages to indicate that they're in the CEO Shadow program and are focused on the `#ceo-shadow` Slack channel. 

### Feelings before going to sleep prior to your first day?

Invigorated. I participated in over 50 remote work webinars, podcasts, and interviews the six weeks prior to my rotation. I was super excited to completely shift gears and soak in something new. 

### Are Sid's meetings always on-time?

Roughly 97% of them begin on time. Roughly 80% of them end on time. Roughly 99% of them end before the next one begins, even if it's just by a few seconds. 

Most are 25 minutes. A few are 50 minutes. 

### Did you actively participate in meetings?

Some! In meetings related to marketing, communications, messaging, and community, there were moments where I was asked to chime in. I was also asked a few questions in [1-on-1 meetings](/handbook/leadership/1-1/), the [e-group meeting](/handbook/ceo/#daily-meetings), and a [retrospective](/handbook/ceo/#monthly-meetings) meeting. 

I savored these moments. It was awesome to see "everyone can contribute" lived as a shadow. I felt welcome, and I felt my input was considered and appreciated. 

I enjoyed listening to my co-shadows give their input in meetings. It's an excellent opportunity to learn and develop in a very unique space. 

### Be honest — 40 hours per week, or more?

Sid's calendar is public for those within the GitLab organization. You can see that he tries to cap meetings at around 8 to 9 hours per day. However, given how much of what you experience is brand new, this may *feel* like more. 

![GitLab all-remote family workspace](/images/all-remote/gitlab-home-office-family.jpg){: .shadow.medium.center}

If you're considering the CEO Shadow program, check the [eligibility requirements](/handbook/ceo/shadow/#eligibility) and **apply**! 

If you're outside of the GitLab organization, please encourage your leadership team to implement a similar program. I can't recommend it highly enough.

If you still have questions, reach out on Twitter: [@darrenmurph](https://twitter.com/darrenmurph)
